=== debian/rules ===
#!/usr/bin/make -f

dh = --with sodeps

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test
