=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/okteta-([\d.]+).tar.xz
