## okteta 15.08.2

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH),ppc64el)
export DEB_CFLAGS_MAINT_STRIP = -O3
export DEB_CXXFLAGS_MAINT_STRIP = -O3
export DEB_CFLAGS_MAINT_APPEND = -O2
export DEB_CXXFLAGS_MAINT_APPEND = -O2
endif

dh = --with sodeps

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

.PHONY: override_dh_auto_test
